# How to use the iDRAC6 Java KVM console on Windows

This guide will show you how to run the iDRAC6 Java KVM console on Windows 10.

This guide assumes you have already cloned the repository into your home directory.

### Download and install the latest java version 8

```
https://java.com/en/download/manual.jsp
```

### Go to the security directory where you installed java, xyz is your current version

```
C:\Program Files\Java\jre1.8.0_xyz\lib\security\
```

### Open the file **java.security** and comment out the line below

```
# jdk.tls.disabledAlgorithms=SSLv3, RC4, MD5withRSA, DH keySize < 1024,
```

***For added security:*** Add the IP address of your iDRAC interface (https://w.x.y.z) to the security tab of the java control pannel **located under Control Panel**, then uncheck the box "Enable Java content for browser and Web Start applications" to prevent java from accessing unsecure internet resources.

Run the connect_idrac_kvm.sh script and enter the IP address and credentials of your iDRAC interface to connect to the network KVM on your Dell Server
